import request from '@/utils/request'

// 查询能源设施/系统分类列表
export function listFacsCategory(query) {
  return request({
    url: '/ems/basecfg/facsCategory/list',
    method: 'get',
    params: query
  })
}

// 查询能源设施/系统分类列表
export function listAllFacsCategory() {
  return request({
    url: '/ems/basecfg/facsCategory/listall',
    method: 'get'
  })
}

// 查询能源设施/系统分类详细
export function getFacsCategory(id) {
  return request({
    url: '/ems/basecfg/facsCategory/' + id,
    method: 'get'
  })
}

// 新增能源设施/系统分类
export function addFacsCategory(data) {
  return request({
    url: '/ems/basecfg/facsCategory',
    method: 'post',
    data: data
  })
}

// 修改能源设施/系统分类
export function updateFacsCategory(data) {
  return request({
    url: '/ems/basecfg/facsCategory',
    method: 'put',
    data: data
  })
}

// 删除能源设施/系统分类
export function delFacsCategory(id) {
  return request({
    url: '/ems/basecfg/facsCategory/' + id,
    method: 'delete'
  })
}
